# GetPumpFunNewAmmPoolStream

### Subscribe

#### Method

```
GetPumpFunNewAmmPoolStream
```

#### Parameters:

<table><thead><tr><th width="202.71896910191123">Parameter</th><th width="136">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>-</code></td><td>-</td><td>-</td></tr></tbody></table>

#### Subscribe sample:

{% tabs %}
{% tab title="WebSocket" %}

```bash
wscat -H "Authorization:$AUTH_HEADER" -c wss://pump-ny.solana.dex.blxrbdn.com/ws --wait 1000 --execute '{"jsonrpc": "2.0", "id": 1, "method": "subscribe", "params": [ "GetPumpFunNewAmmPoolStream", {} ]}'
```

{% endtab %}
{% endtabs %}

**Event Result Details:**

<table><thead><tr><th width="178">Field</th><th width="168">Type</th><th width="419.58916051319363">Description</th></tr></thead><tbody><tr><td><code>slot</code></td><td>int64</td><td>The slot number</td></tr><tr><td><code>creator</code></td><td>string</td><td>The address that created the AMM pool.</td></tr><tr><td><code>pool</code></td><td>string</td><td>The Pump.fun AMM pool address.</td></tr><tr><td><code>baseMint</code></td><td>string</td><td>The base token mint address for the pool.</td></tr><tr><td><code>quoteMint</code></td><td>string</td><td>The quote token mint address for the pool.</td></tr><tr><td><code>lpMint</code></td><td>string</td><td>The liquidity provider token mint address for the pool.</td></tr><tr><td><code>timestamp</code></td><td>google.protobuf.Timestamp</td><td>The timestamp of the event.</td></tr><tr><td><code>coinCreator</code></td><td>string</td><td>The creator address associated with the coin for this pool.</td></tr></tbody></table>

Sample event:

```json
{
   "jsonrpc":"2.0",
   "method":"subscribe",
   "params":{
      "subscription":"74611482-8b92-4706-adea-1886ca788355",
      "result":{
         "slot":"413668778",
         "creator":"EFRHqrNZvA7xSaA9qvTjcWEsowns5pNhKnjZNPbJJHHM",
         "pool":"BEceeEw6QmquEv4URKFCGYnyrMu28zBFQ4Tv5yMhXGop",
         "baseMint":"So11111111111111111111111111111111111111112",
         "quoteMint":"Dx6wjwgZZNj5Q3X7op3L5251HvGCYcdKypttGs1rEY9q",
         "lpMint":"6HeiuyxuozR9Ku7tfEFpNxooZun5xZgEHb8SUG3AkpVK",
         "timestamp":"2026-04-16T19:54:06.495944920Z",
         "coinCreator":"EFRHqrNZvA7xSaA9qvTjcWEsowns5pNhKnjZNPbJJHHM"
      }
   }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bloxroute.com/solana/trader-api/api-endpoints/pump.fun/getpumpfunnewammpoolstream.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
